//+-----------------------------------------------------------------------------------------------+
//|                                                                Pivots Manual - All Levels.mq4 |
//|                                                                           put together by EWB |
//|                                                                         www.theforextruth.com |
//|       *codes are written, edited and copied from so many other pivot formulas I can't remember|
//|                                                                                               |
//|Instructions                                                                                   |
//|1) Go to "//ENTER LEVELS HERE" and do just that. Enter Daily, Weekly & Monthly currency data.  |
//|2) When you are done go to file, save as, and save the file in the experts / indicators folder |
//|   under whatever name you like. This has to be done separately for each currency pair. for    |
//|   example, save the file as "Pivots - EURUSD". This will save the file so you can input       |
//|   data for the EURUSD pair. Do the same for the other currency pairs as well saving each file |
//|   as a separate indicator for each currency pair.                                             |
//|3) After you have saved the file under the name you desire, click on Compile.                  |
//|4) Your done. Go to your chart and add the indicator to your chart. You should see all the     |
//|   pivots on your chart.                                                                       |
//|5) Please email me at wadeboxjr@marten-enterprises.com if you have any problems.               |
//+-----------------------------------------------------------------------------------------------+
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//Candle Timer - if you don't like it just delete everything down to "Pivot Points Start"
	double i;
   int m,s,k;
   m=Time[0]+Period()*60-CurTime();
   i=m/60.0;
   s=m%60;
   m=(m-m%60)/60;
   Comment( m + " minutes " + s + " seconds left to bar end");
		
   ObjectDelete("time");
   
   if(ObjectFind("time") != 0)
   {
   ObjectCreate("time", OBJ_TEXT, 0, Time[0], Close[0]+ 0.0005);
   ObjectSetText("time", "            -"+m+":"+s, 10, "Verdana", DimGray);
   }
   else
   {
   ObjectMove("time", 0, Time[0], Close[0]+0.0005);
   }
//Candle Timer End

//
//+--------------------------------------+
//| Pivot Points Start                   |
//+--------------------------------------+   
   double yesterday_high;
   double yesterday_low;
   double yesterday_close;
   
   double weekly_high;
   double weekly_low;
   double weekly_close;
   
   double monthly_high;
   double monthly_low;
   double monthly_close;
   double DP,DM2,DM3,DS1,DR1,DM1,DM4,DS2,DR2,DM0,DM5,DS3,DR3, WP,WM2,WM3,WS1,WR1,WM1,WM4,WS2,WR2,WM0,WM5,WS3,WR3, MP,MM2,MM3,MS1,MR1,MM1,MM4,MS2,MR2,MM0,MM5,MS3,MR3;

//ENTER LEVELS HERE
yesterday_high = 1.3630;
yesterday_low = 1.3557;
yesterday_close = 1.3618;

weekly_high = 1.3576;
weekly_low = 1.3340;
weekly_close = 1.3560;

monthly_high = 1.3411;
monthly_low = 1.3072;
monthly_close = 1.3355;

//Daily Pivot Calculations

DP = ((yesterday_high + yesterday_low + yesterday_close)/3);

DR1 = (2*DP)-yesterday_low;
DS1 = (2*DP)-yesterday_high;

DM3 = (DP+DR1)/2;
DM2 = (DP+DS1)/2;

DR2 = DP+(DR1-DS1);
DS2 = DP-(DR1-DS1);

DM4 = (DR1+DR2)/2;
DM1 = (DS1+DS2)/2;

DR3 = (yesterday_high + (2*(DP-yesterday_low)));
DS3 = (yesterday_low - (2*(yesterday_high-DP)));

DM0 = ((DS2-DS3)/2)+DS3;
DM5 = ((DR3-DR2)/2)+DR2;

//Weekly Pivot Calculations

WP = ((weekly_high + weekly_low + weekly_close)/3);

WR1 = (2*WP)-weekly_low;
WS1 = (2*WP)-weekly_high;

WM3 = (WP+WR1)/2;
WM2 = (WP+WS1)/2;

WR2 = WP+(WR1-WS1);
WS2 = WP-(WR1-WS1);

WM4 = (WR1+WR2)/2;
WM1 = (WS1+WS2)/2;

WR3 = (weekly_high + (2*(WP-weekly_low)));
WS3 = (weekly_low - (2*(weekly_high-WP)));

WM0 = ((WS2-WS3)/2)+WS3;
WM5 = ((WR3-WR2)/2)+WR2;

//Monthly Pivot Calculations

MP = ((monthly_high + monthly_low + monthly_close)/3);

MR1 = (2*MP)-monthly_low;
MS1 = (2*MP)-monthly_high;

MM3 = (MP+MR1)/2;
MM2 = (MP+MS1)/2;

MR2 = MP+(MR1-MS1);
MS2 = MP-(MR1-MS1);

MM4 = (MR1+MR2)/2;
MM1 = (MS1+MS2)/2;

MR3 = (monthly_high + (2*(MP-monthly_low)));
MS3 = (monthly_low - (2*(monthly_high-MP)));

MM0 = ((MS2-MS3)/2)+MS3;
MM5 = ((MR3-MR2)/2)+MR2;

//Daily Pivot Lines
ObjectDelete("Daily Pivot");
ObjectDelete("Daily S1");
ObjectDelete("Daily R1");

ObjectDelete("Daily S2");
ObjectDelete("Daily R2");

ObjectDelete("Daily S3");
ObjectDelete("Daily R3");

ObjectDelete("Daily M2");
ObjectDelete("Daily M3");

ObjectDelete("Daily M1");
ObjectDelete("Daily M4");

ObjectDelete("Daily M0");
ObjectDelete("Daily M5");


ObjectCreate("Daily Pivot", OBJ_HLINE,0, CurTime(),DP);
ObjectSet("Daily Pivot", OBJPROP_COLOR, Magenta );
ObjectSet("Daily Pivot", OBJPROP_STYLE, STYLE_SOLID);
ObjectSet("Daily Pivot",OBJPROP_WIDTH,1);
ObjectCreate("Daily Pivot label", OBJ_TEXT, 0, Time[0], DP);
ObjectSetText("Daily Pivot label", "                                                       Pivot", 8, "Arial");

ObjectCreate("Daily S1", OBJ_HLINE,0, CurTime(),DS1);
ObjectSet("Daily S1",OBJPROP_COLOR,CornflowerBlue);
ObjectSet("Daily S1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Daily S1",OBJPROP_WIDTH,1);
ObjectCreate("Daily S1 label", OBJ_TEXT, 0, Time[0], DS1);
ObjectSetText("Daily S1 label", "                                                       S1", 8, "Arial");

ObjectCreate("Daily R1", OBJ_HLINE,0, CurTime(),DR1);
ObjectSet("Daily R1",OBJPROP_COLOR,Tomato);
ObjectSet("Daily R1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Daily R1",OBJPROP_WIDTH,1);
ObjectCreate("Daily R1 label", OBJ_TEXT, 0, Time[0], DR1);
ObjectSetText("Daily R1 label", "                                                       R1", 8, "Arial");

ObjectCreate("Daily S2", OBJ_HLINE,0, CurTime(),DS2);
ObjectSet("Daily S2",OBJPROP_COLOR,CornflowerBlue);
ObjectSet("Daily S2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Daily S2",OBJPROP_WIDTH,1);
ObjectCreate("Daily S2 label", OBJ_TEXT, 0, Time[0], DS2);
ObjectSetText("Daily S2 label", "                                                       S2", 8, "Arial");

ObjectCreate("Daily R2", OBJ_HLINE,0, CurTime(),DR2);
ObjectSet("Daily R2",OBJPROP_COLOR,Tomato);
ObjectSet("Daily R2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Daily R2",OBJPROP_WIDTH,1);
ObjectCreate("Daily R2 label", OBJ_TEXT, 0, Time[0], DR2);
ObjectSetText("Daily R2 label", "                                                       R2", 8, "Arial");

ObjectCreate("Daily S3", OBJ_HLINE,0, CurTime(),DS3);
ObjectSet("Daily S3",OBJPROP_COLOR,CornflowerBlue);
ObjectSet("Daily S3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Daily S3",OBJPROP_WIDTH,1);
ObjectCreate("Daily S3 label", OBJ_TEXT, 0, Time[0], DS3);
ObjectSetText("Daily S3 label", "                                                       S3", 8, "Arial");

ObjectCreate("Daily R3", OBJ_HLINE,0, CurTime(),DR3);
ObjectSet("Daily R3",OBJPROP_COLOR,Tomato);
ObjectSet("Daily R3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Daily R3",OBJPROP_WIDTH,1);
ObjectCreate("Daily R3 label", OBJ_TEXT, 0, Time[0], DR3);
ObjectSetText("Daily R3 label", "                                                       R3", 8, "Arial");

ObjectCreate("Daily M2", OBJ_HLINE,0, CurTime(),DM2);
ObjectSet("Daily M2",OBJPROP_COLOR,CornflowerBlue);
ObjectSet("Daily M2",OBJPROP_STYLE,STYLE_DASHDOTDOT);
ObjectSet("Daily M2",OBJPROP_WIDTH,1);
ObjectCreate("Daily M2 label", OBJ_TEXT, 0, Time[0], DM2);
ObjectSetText("Daily M2 label", "                                                       M2", 8, "Arial");

ObjectCreate("Daily M3", OBJ_HLINE,0, CurTime(),DM3);
ObjectSet("Daily M3",OBJPROP_COLOR,Tomato);
ObjectSet("Daily M3",OBJPROP_STYLE,STYLE_DASHDOTDOT);
ObjectSet("Daily M3",OBJPROP_WIDTH,1);
ObjectCreate("Daily M3 label", OBJ_TEXT, 0, Time[0], DM3);
ObjectSetText("Daily M3 label", "                                                       M3", 8, "Arial");

ObjectCreate("Daily M1", OBJ_HLINE,0, CurTime(),DM1);
ObjectSet("Daily M1",OBJPROP_COLOR,CornflowerBlue);
ObjectSet("Daily M1",OBJPROP_STYLE,STYLE_DASHDOTDOT);
ObjectSet("Daily M1",OBJPROP_WIDTH,1);
ObjectCreate("Daily M1 label", OBJ_TEXT, 0, Time[0], DM1);
ObjectSetText("Daily M1 label", "                                                       M1", 8, "Arial");

ObjectCreate("Daily M4", OBJ_HLINE,0, CurTime(),DM4);
ObjectSet("Daily M4",OBJPROP_COLOR,Tomato);
ObjectSet("Daily M4",OBJPROP_STYLE,STYLE_DASHDOTDOT);
ObjectSet("Daily M4",OBJPROP_WIDTH,1);
ObjectCreate("Daily M4 label", OBJ_TEXT, 0, Time[0], DM4);
ObjectSetText("Daily M4 label", "                                                       M4", 8, "Arial");

ObjectCreate("Daily M0", OBJ_HLINE,0, CurTime(),DM0);
ObjectSet("Daily M0",OBJPROP_COLOR,CornflowerBlue);
ObjectSet("Daily M0",OBJPROP_STYLE,STYLE_DASHDOTDOT);
ObjectSet("Daily M0",OBJPROP_WIDTH,1);
ObjectCreate("Daily M0 label", OBJ_TEXT, 0, Time[0], DM0);
ObjectSetText("Daily M0 label", "                                                       M0", 8, "Arial");

ObjectCreate("Daily M5", OBJ_HLINE,0, CurTime(),DM5);
ObjectSet("Daily M5",OBJPROP_COLOR,Tomato);
ObjectSet("Daily M5",OBJPROP_STYLE,STYLE_DASHDOTDOT);
ObjectSet("Daily M5",OBJPROP_WIDTH,1);
ObjectCreate("Daily M5 label", OBJ_TEXT, 0, Time[0], DM5);
ObjectSetText("Daily M5 label", "                                                       M5", 8, "Arial");

//Weekly Pivot Lines
ObjectDelete("Weekly Pivot");
ObjectDelete("Weekly S1");
ObjectDelete("Weekly R1");

ObjectDelete("Weekly S2");
ObjectDelete("Weekly R2");

ObjectDelete("Weekly S3");
ObjectDelete("Weekly R3");

ObjectDelete("Weekly M2");
ObjectDelete("Weekly M3");

ObjectDelete("Weekly M1");
ObjectDelete("Weekly M4");

ObjectDelete("Weekly M0");
ObjectDelete("Weekly M5");


ObjectCreate("Weekly Pivot", OBJ_HLINE,0, CurTime(),WP);
ObjectSet("Weekly Pivot", OBJPROP_COLOR, Black);
ObjectSet("Weekly Pivot", OBJPROP_STYLE, STYLE_SOLID);
ObjectSet("Weekly Pivot",OBJPROP_WIDTH,2);
ObjectCreate("Weekly Pivot label", OBJ_TEXT, 0, Time[0], WP);
ObjectSetText("Weekly Pivot label", "                                                       WPivot", 8, "Arial");

ObjectCreate("Weekly S1", OBJ_HLINE,0, CurTime(),WS1);
ObjectSet("Weekly S1",OBJPROP_COLOR,Blue);
ObjectSet("Weekly S1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly S1",OBJPROP_WIDTH,2);
ObjectCreate("Weekly S1 label", OBJ_TEXT, 0, Time[0], WS1);
ObjectSetText("Weekly S1 label", "                                                       WS1", 8, "Arial");

ObjectCreate("Weekly R1", OBJ_HLINE,0, CurTime(),WR1);
ObjectSet("Weekly R1",OBJPROP_COLOR,Red);
ObjectSet("Weekly R1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly R1",OBJPROP_WIDTH,2);
ObjectCreate("Weekly R1 label", OBJ_TEXT, 0, Time[0], WR1);
ObjectSetText("Weekly R1 label", "                                                       WR1", 8, "Arial");

ObjectCreate("Weekly S2", OBJ_HLINE,0, CurTime(),WS2);
ObjectSet("Weekly S2",OBJPROP_COLOR,Blue);
ObjectSet("Weekly S2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly S2",OBJPROP_WIDTH,2);
ObjectCreate("Weekly S2 label", OBJ_TEXT, 0, Time[0], WS2);
ObjectSetText("Weekly S2 label", "                                                       WS2", 8, "Arial");

ObjectCreate("Weekly R2", OBJ_HLINE,0, CurTime(),WR2);
ObjectSet("Weekly R2",OBJPROP_COLOR,Red);
ObjectSet("Weekly R2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly R2",OBJPROP_WIDTH,2);
ObjectCreate("Weekly R2 label", OBJ_TEXT, 0, Time[0], WR2);
ObjectSetText("Weekly R2 label", "                                                       WR2", 8, "Arial");

ObjectCreate("Weekly S3", OBJ_HLINE,0, CurTime(),WS3);
ObjectSet("Weekly S3",OBJPROP_COLOR,Blue);
ObjectSet("Weekly S3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly S3",OBJPROP_WIDTH,2);
ObjectCreate("Weekly S3 label", OBJ_TEXT, 0, Time[0], WS3);
ObjectSetText("Weekly S3 label", "                                                       WS3", 8, "Arial");

ObjectCreate("Weekly R3", OBJ_HLINE,0, CurTime(),WR3);
ObjectSet("Weekly R3",OBJPROP_COLOR,Red);
ObjectSet("Weekly R3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly R3",OBJPROP_WIDTH,2);
ObjectCreate("Weekly R3 label", OBJ_TEXT, 0, Time[0], WR3);
ObjectSetText("Weekly R3 label", "                                                       WR3", 8, "Arial");

ObjectCreate("Weekly M2", OBJ_HLINE,0, CurTime(),WM2);
ObjectSet("Weekly M2",OBJPROP_COLOR,Blue);
ObjectSet("Weekly M2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly M2",OBJPROP_WIDTH,2);
ObjectCreate("Weekly M2 label", OBJ_TEXT, 0, Time[0], WM2);
ObjectSetText("Weekly M2 label", "                                                       WM2", 8, "Arial");

ObjectCreate("Weekly M3", OBJ_HLINE,0, CurTime(),WM3);
ObjectSet("Weekly M3",OBJPROP_COLOR,Red);
ObjectSet("Weekly M3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly M3",OBJPROP_WIDTH,2);
ObjectCreate("Weekly M3 label", OBJ_TEXT, 0, Time[0], WM3);
ObjectSetText("Weekly M3 label", "                                                       WM3", 8, "Arial");

ObjectCreate("Weekly M1", OBJ_HLINE,0, CurTime(),WM1);
ObjectSet("Weekly M1",OBJPROP_COLOR,Blue);
ObjectSet("Weekly M1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly M1",OBJPROP_WIDTH,2);
ObjectCreate("Weekly M1 label", OBJ_TEXT, 0, Time[0], WM1);
ObjectSetText("Weekly M1 label", "                                                       WM1", 8, "Arial");

ObjectCreate("Weekly M4", OBJ_HLINE,0, CurTime(),WM4);
ObjectSet("Weekly M4",OBJPROP_COLOR,Red);
ObjectSet("Weekly M4",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly M4",OBJPROP_WIDTH,2);
ObjectCreate("Weekly M4 label", OBJ_TEXT, 0, Time[0], WM4);
ObjectSetText("Weekly M4 label", "                                                       WM4", 8, "Arial");

ObjectCreate("Weekly M0", OBJ_HLINE,0, CurTime(),WM0);
ObjectSet("Weekly M0",OBJPROP_COLOR,Blue);
ObjectSet("Weekly M0",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly M0",OBJPROP_WIDTH,2);
ObjectCreate("Weekly M0 label", OBJ_TEXT, 0, Time[0], WM0);
ObjectSetText("Weekly M0 label", "                                                       WM0", 8, "Arial");

ObjectCreate("Weekly M5", OBJ_HLINE,0, CurTime(),WM5);
ObjectSet("Weekly M5",OBJPROP_COLOR,Red);
ObjectSet("Weekly M5",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Weekly M5",OBJPROP_WIDTH,2);
ObjectCreate("Weekly M5 label", OBJ_TEXT, 0, Time[0], WM5);
ObjectSetText("Weekly M5 label", "                                                       WM5", 8, "Arial");

//Monthly Pivot Lines
ObjectDelete("Monthly Pivot");
ObjectDelete("Monthly S1");
ObjectDelete("Monthly R1");

ObjectDelete("Monthly S2");
ObjectDelete("Monthly R2");

ObjectDelete("Monthly S3");
ObjectDelete("Monthly R3");

ObjectDelete("Monthly M2");
ObjectDelete("Monthly M3");

ObjectDelete("Monthly M1");
ObjectDelete("Monthly M4");

ObjectDelete("Monthly M0");
ObjectDelete("Monthly M5");


ObjectCreate("Monthly Pivot", OBJ_HLINE,0, CurTime(),MP);
ObjectSet("Monthly Pivot", OBJPROP_COLOR, Black);
ObjectSet("Monthly Pivot", OBJPROP_STYLE, STYLE_SOLID);
ObjectSet("Monthly Pivot",OBJPROP_WIDTH,3);
ObjectCreate("Monthly Pivot label", OBJ_TEXT, 0, Time[0], MP);
ObjectSetText("Monthly Pivot label", "                                                       MPivot", 8, "Arial");

ObjectCreate("Monthly S1", OBJ_HLINE,0, CurTime(),MS1);
ObjectSet("Monthly S1",OBJPROP_COLOR,DarkBlue);
ObjectSet("Monthly S1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly S1",OBJPROP_WIDTH,3);
ObjectCreate("Monthly S1 label", OBJ_TEXT, 0, Time[0], MS1);
ObjectSetText("Monthly S1 label", "                                                       MS1", 8, "Arial");

ObjectCreate("Monthly R1", OBJ_HLINE,0, CurTime(),MR1);
ObjectSet("Monthly R1",OBJPROP_COLOR,FireBrick);
ObjectSet("Monthly R1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly R1",OBJPROP_WIDTH,3);
ObjectCreate("Monthly R1 label", OBJ_TEXT, 0, Time[0], MR1);
ObjectSetText("Monthly R1 label", "                                                       MR1", 8, "Arial");

ObjectCreate("Monthly S2", OBJ_HLINE,0, CurTime(),MS2);
ObjectSet("Monthly S2",OBJPROP_COLOR,DarkBlue);
ObjectSet("Monthly S2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly S2",OBJPROP_WIDTH,3);
ObjectCreate("Monthly S2 label", OBJ_TEXT, 0, Time[0], MS2);
ObjectSetText("Monthly S2 label", "                                                       MS2", 8, "Arial");

ObjectCreate("Monthly R2", OBJ_HLINE,0, CurTime(),MR2);
ObjectSet("Monthly R2",OBJPROP_COLOR,FireBrick);
ObjectSet("Monthly R2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly R2",OBJPROP_WIDTH,3);
ObjectCreate("Monthly R2 label", OBJ_TEXT, 0, Time[0], MR2);
ObjectSetText("Monthly R2 label", "                                                       MR2", 8, "Arial");

ObjectCreate("Monthly S3", OBJ_HLINE,0, CurTime(),MS3);
ObjectSet("Monthly S3",OBJPROP_COLOR,DarkBlue);
ObjectSet("Monthly S3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly S3",OBJPROP_WIDTH,3);
ObjectCreate("Monthly S3 label", OBJ_TEXT, 0, Time[0], MS3);
ObjectSetText("Monthly S3 label", "                                                       MS3", 8, "Arial");

ObjectCreate("Monthly R3", OBJ_HLINE,0, CurTime(),MR3);
ObjectSet("Monthly R3",OBJPROP_COLOR,FireBrick);
ObjectSet("Monthly R3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly R3",OBJPROP_WIDTH,3);
ObjectCreate("Monthly R3 label", OBJ_TEXT, 0, Time[0], MR3);
ObjectSetText("Monthly R3 label", "                                                       MR3", 8, "Arial");

ObjectCreate("Monthly M2", OBJ_HLINE,0, CurTime(),MM2);
ObjectSet("Monthly M2",OBJPROP_COLOR,DarkBlue);
ObjectSet("Monthly M2",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly M2",OBJPROP_WIDTH,3);
ObjectCreate("Monthly M2 label", OBJ_TEXT, 0, Time[0], MM2);
ObjectSetText("Monthly M2 label", "                                                       MM2", 8, "Arial");

ObjectCreate("Monthly M3", OBJ_HLINE,0, CurTime(),MM3);
ObjectSet("Monthly M3",OBJPROP_COLOR,FireBrick);
ObjectSet("Monthly M3",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly M3",OBJPROP_WIDTH,3);
ObjectCreate("Monthly M3 label", OBJ_TEXT, 0, Time[0], MM3);
ObjectSetText("Monthly M3 label", "                                                       MM3", 8, "Arial");

ObjectCreate("Monthly M1", OBJ_HLINE,0, CurTime(),MM1);
ObjectSet("Monthly M1",OBJPROP_COLOR,DarkBlue);
ObjectSet("Monthly M1",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly M1",OBJPROP_WIDTH,3);
ObjectCreate("Monthly M1 label", OBJ_TEXT, 0, Time[0], MM1);
ObjectSetText("Monthly M1 label", "                                                       MM1", 8, "Arial");

ObjectCreate("Monthly M4", OBJ_HLINE,0, CurTime(),MM4);
ObjectSet("Monthly M4",OBJPROP_COLOR,FireBrick);
ObjectSet("Monthly M4",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly M4",OBJPROP_WIDTH,3);
ObjectCreate("Monthly M4 label", OBJ_TEXT, 0, Time[0], MM4);
ObjectSetText("Monthly M4 label", "                                                       MM4", 8, "Arial");

ObjectCreate("Monthly M0", OBJ_HLINE,0, CurTime(),MM0);
ObjectSet("Monthly M0",OBJPROP_COLOR,DarkBlue);
ObjectSet("Monthly M0",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly M0",OBJPROP_WIDTH,3);
ObjectCreate("Monthly M0 label", OBJ_TEXT, 0, Time[0], MM0);
ObjectSetText("Monthly M0 label", "                                                       MM0", 8, "Arial");

ObjectCreate("Monthly M5", OBJ_HLINE,0, CurTime(),MM5);
ObjectSet("Monthly M5",OBJPROP_COLOR,FireBrick);
ObjectSet("Monthly M5",OBJPROP_STYLE,STYLE_SOLID);
ObjectSet("Monthly M5",OBJPROP_WIDTH,3);
ObjectCreate("Monthly M5 label", OBJ_TEXT, 0, Time[0], MM5);
ObjectSetText("Monthly M5 label", "                                                       MM5", 8, "Arial");

//+--------------------------------------+
//| Pivot Points End                     |
//+--------------------------------------+   
//+------------------------------------------------------------------+

//End of program



  }
//+------------------------------------------------------------------+